http:
  routers:
    invyone-tenant-frontend:
      rule: "HostRegexp(`{sub:[a-z0-9-]+}.invyone.com`)"
      entryPoints:
        - web
        - websecure
      service: invyone-tenant-frontend
      tls:
        certResolver: ledns
        domains:
          - main: invyone.com
            sans:
              - "*.invyone.com"

    invyone-tenant-api:
      rule: "HostRegexp(`{sub:[a-z0-9-]+}.invyone.com`) && PathPrefix(`/api`)"
      entryPoints:
        - web
        - websecure
      service: invyone-tenant-api
      tls:
        certResolver: ledns
      priority: 100

  services:
    invyone-tenant-frontend:
      loadBalancer:
        servers:
          - url: "http://host.docker.internal:30000"

    invyone-tenant-api:
      loadBalancer:
        servers:
          - url: "http://host.docker.internal:30081"
